import requests
url = "https://api.paywise.de/v1/webhooks/"
payload = { "url": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>'})
};
fetch('https://api.paywise.de/v1/webhooks/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.paywise.de/v1/webhooks/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"<string>\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v1/webhooks/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"url\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request POST \
--url https://api.paywise.de/v1/webhooks/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"consecutive_failures": 123,
"last_failure_at": "2023-11-07T05:31:56Z",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"deliveries_url": "<string>",
"secret_key": "<string>",
"enabled": true,
"events": "<unknown>",
"access_mode": "test",
"description": "<string>",
"max_consecutive_failures": -1
}Create a webhook endpoint
Create a new webhook endpoint to receive real-time notifications about events in your account.
import requests
url = "https://api.paywise.de/v1/webhooks/"
payload = { "url": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>'})
};
fetch('https://api.paywise.de/v1/webhooks/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.paywise.de/v1/webhooks/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"<string>\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v1/webhooks/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"url\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request POST \
--url https://api.paywise.de/v1/webhooks/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"consecutive_failures": 123,
"last_failure_at": "2023-11-07T05:31:56Z",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"deliveries_url": "<string>",
"secret_key": "<string>",
"enabled": true,
"events": "<unknown>",
"access_mode": "test",
"description": "<string>",
"max_consecutive_failures": -1
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Serializer for creating WebhookEndpoint. Hides secret_key from response initially (shown only once on creation).
HTTPS URL where webhook notifications will be sent
1 - 2048Whether this webhook endpoint is active
List of event types this webhook will receive
Whether this webhook receives test or production events
test- Testproduction- Production
test, production Optional description or label for this webhook
255Webhook will be auto-disabled after this many consecutive failures
-2147483648 <= x <= 2147483647Response
Serializer for creating WebhookEndpoint. Hides secret_key from response initially (shown only once on creation).
HTTPS URL where webhook notifications will be sent
2048Secret key for HMAC signature verification
Whether this webhook endpoint is active
List of event types this webhook will receive
Whether this webhook receives test or production events
test- Testproduction- Production
test, production Optional description or label for this webhook
255Webhook will be auto-disabled after this many consecutive failures
-2147483648 <= x <= 2147483647